corda / net.corda.contracts.testing / MoveGenerator

# MoveGenerator

`class MoveGenerator : Generator<Move>`

### Constructors

<init> | `MoveGenerator()`

### Functions

generate | `fun generate(random: SourceOfRandomness, status: GenerationStatus): Move`

### Extension Functions

generateList | `fun <A> Generator<A>.generateList(random: SourceOfRandomness, status: GenerationStatus): List<A>` Generators for quickcheck